/* PicProg - A library for programming the PIC 12F629 via the
*            parallel port under Linux.
* Copyright (C) 2005 by Dirk Baechle (dl9obn@darc.de)
*
* This program is free software; you can redistribute it and/or
* modify it under the terms of the GNU General Public License
* as published by the Free Software Foundation; either version 2
* of the License, or (at your option) any later version.
*
* This program is distributed in the hope that it will be useful,
* but WITHOUT ANY WARRANTY; without even the implied warranty of
* MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
* GNU General Public License for more details.
*
* You should have received a copy of the GNU General Public
* License along with this program; if not, write to the 
*
* Free Software Foundation, Inc.
* 675 Mass Ave
* Cambridge
* MA 02139
* USA
*
*/


/** \file picprog.h
* Header file for the PIC 12F629 programming library and all programs using it.
* \author Dirk Baechle, dl9obn@darc.de
* \version 1.0
* \date 2005-10-29
*/

/* This file was created automatically from the file `picprog.nw' by NOWEB.
* If you want to make changes, please edit the source `picprog.nw'.
* A precompiled documentation can be found in `picprog.pdf' and `picprog.ps',
* respectively.
* Read it to understand why things are as they are. Thank you!
*/



#ifndef _PICPROG_H
#define _PICPROG_H

#define ERROR 0
#define OK 1

extern int initLib();
extern void closeLib();
extern void setInactiveMode();
extern void setProgrammingMode();

extern void writeCommandWord(int command);
extern void writeDataWord(int data);

extern void incrementAddress();
extern int readDataWordPM();
extern int readDataWordDM();

extern void loadDataWordPM(int data);
extern void loadDataWordDM(int data);
extern void loadConfig();
extern void bulkErase();
extern void programInternallyTimed();
extern int programAndVerify(int data);

extern int programInhex16File(const char *fileName);


#endif

